import { EventEmitter, OnChanges, OnDestroy, SimpleChanges } from "@angular/core";
import { ChartProvider, ChartView, XaxisType, YaxisType } from "@oneteme/jquery-core";
import * as i0 from "@angular/core";
export declare class LineChartDirective<X extends XaxisType, Y extends YaxisType> implements ChartView<X, Y>, OnChanges, OnDestroy {
    private el;
    private _chart;
    private _chartConfig;
    private _options;
    type: 'line' | 'area';
    config: ChartProvider<X, Y>;
    data: any[];
    isLoading: boolean;
    customEvent: EventEmitter<'previous' | 'next' | 'pivot'>;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateType(): void;
    updateConfig(): void;
    updateData(): void;
    updateLoading(): void;
    updateChart(): void;
    createChart(): void;
    render(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LineChartDirective<any, any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LineChartDirective<any, any>, "[line-chart]", never, { "type": { "alias": "type"; "required": true; }; "config": { "alias": "config"; "required": true; }; "data": { "alias": "data"; "required": true; }; "isLoading": { "alias": "isLoading"; "required": false; }; }, { "customEvent": "customEvent"; }, never, never, true, never>;
}
